{"openapi":"3.0.0","servers":[],"info":{"description":"550 Project","version":"1.0.0","title":"550 Project","contact":{"email":"you@your-company.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"admins","description":"Secured Admin-only calls"},{"name":"developers","description":"Operations available to regular developers"}],"paths":{"/migration":{"get":{"summary":"gets all migration data from","operationId":"getMigrations","description":"By passing in the appropriate options, you can get all\nresearch migration data\n","responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MigrationItem"}}}}},"400":{"description":"bad input parameter"}}}},"/filterResearchers":{"get":{"summary":"gets researcher information by","operationId":"filterResearchers","description":"By passing in the appropriate options, you can get researchers by\neducation, employment, and PMID\n","parameters":[{"in":"query","name":"Education","description":"pass an optional search string for looking up education","required":false,"schema":{"type":"string"}},{"in":"query","name":"Employment","description":"pass an optional search string for looking up employment","required":false,"schema":{"type":"string"}},{"in":"query","name":"Writes","description":"If use Writes, then search by PMID, else search by Organization","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FilterResearchersItem"}}}}},"400":{"description":"bad input parameter"}}}},"/paper/words":{"get":{"summary":"gets papers that contain certain words","operationId":"filterPaperWords","description":"By passing in the appropriate options, you can get the papers that contain certain words\n","parameters":[{"in":"query","name":"words","description":"a list of words","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FilterPaperWordsItem"}}}}},"400":{"description":"bad input parameter"}}}},"/paper/publications":{"get":{"summary":"gets papers that contain certain words","operationId":"filterPaperPublications","description":"By passing in the appropriate options, you can get the publications in a certain year by a given author\n","parameters":[{"in":"query","name":"PubYear","description":"publication year","required":true,"schema":{"type":"integer"}},{"in":"query","name":"PMID","description":"Pubmed id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FilterPaperPublicationsItem"}}}}},"400":{"description":"bad input parameter"}}}},"/researchers/top":{"get":{"summary":"gets top researcher by organization by number of papers","operationId":"toResearcher","description":"By passing in the appropriate options, you can get the top researcher by organization by number of papers\n","parameters":[{"in":"query","name":"Organization","description":"Organization that a researcher worked for","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TopResearcherItem"}}}}},"400":{"description":"bad input parameter"}}}},"/paper/totalbycountry":{"get":{"summary":"gets number of papers by country","operationId":"getTotalPaperByCountry","description":"By passing in the appropriate options, you can get the total number of papers by country\n","responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TotalPapersByCountryItem"}}}}},"400":{"description":"bad input parameter"}}}},"/topInstituteByCountry":{"get":{"summary":"gets number of papers by country and organization","operationId":"topInstituteByCountry","description":"By passing in the appropriate options, you can get the top institute by country by the number of papers published\n","parameters":[{"in":"query","name":"Country","description":"Country","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TopInstituteByCountryItem"}}}}},"400":{"description":"bad input parameter"}}}},"/topBioEdByCountry":{"get":{"summary":"gets number of bio entity mentions by country","operationId":"topBioEdByCountry","description":"By passing in the appropriate options, you can get the number of mentions by country\n","parameters":[{"in":"query","name":"Country","description":"Country","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TopBioEdByCountryItem"}}}}},"400":{"description":"bad input parameter"}}}},"/mostBenefitedOrg":{"get":{"summary":"not sure what this does","operationId":"mostBenefitedOrg","description":"Not sure what this does\n","responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MostBenefitedOrgItem"}}}}},"400":{"description":"bad input parameter"}}}},"/mostEmployedCities":{"get":{"summary":"get the number of employed researchers by city","operationId":"mostEmployedCities","description":"Gets the number of employed researchers by city\n","responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MostEmployedCitiesItem"}}}}},"400":{"description":"bad input parameter"}}}},"/getBestAuthors":{"get":{"summary":"not sure what this does","operationId":"getBestAuthors","description":"not sure what this does\n","responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetBestAuthorsItem"}}}}},"400":{"description":"bad input parameter"}}}}},"components":{"schemas":{"MigrationItem":{"type":"object","required":["ORCID","PhdYear","Country2016","EarliestYear","EarliestCountry","HasPhd","PhdCountry","HasMigrated"],"properties":{"ORCID":{"type":"string","example":"0000-0001-5000-0138"},"PhdYear":{"type":"number","example":2011},"Country2016":{"type":"string","example":"AF"},"EarliestYear":{"type":"number","example":2012},"EarliestCountry":{"type":"number","example":"AF"},"HasPhd":{"type":"boolean","example":0},"PhdCountry":{"type":"string","example":"AF"},"HasMigrated":{"type":"boolean","example":1}}},"FilterResearchersItem":{"required":["ANDID","LastName","Initials","BeginYear"],"properties":{"ANDID":{"type":"integer","example":8377862},"LastName":{"type":"string","example":"Bose"},"Initials":{"type":"string","example":"U N"},"BeginYear":{"type":"integer","example":1961}}},"FilterPaperWordsItem":{"required":["PMID","TermsFound","Count"],"properties":{"PMID":{"type":"integer","example":8377862},"TermsFound":{"type":"string","example":"Chloride, Bohr"},"Count":{"type":"integer","example":10}}},"FilterPaperPublicationsItem":{"required":["ANDID","LastName","Initials","PMID","PubYear","AuOrder"],"properties":{"PMID":{"type":"integer","example":8377862},"ANDID":{"type":"integer","example":8377862},"LastName":{"type":"string","example":"Bose"},"Initials":{"type":"string","example":"U N"},"PubYear":{"type":"integer","example":2012},"AuOrder":{"type":"integer","example":1}}},"TopResearcherItem":{"required":["ANDID","NumPapers"],"properties":{"ANDID":{"type":"integer","example":8377862},"NumPapers":{"type":"integer","example":5}}},"TotalPapersByCountryItem":{"required":["Country","NumPapers"],"properties":{"Country":{"type":"string","example":"AF"},"NumPapers":{"type":"integer","example":5}}},"TopInstituteByCountryItem":{"required":["Country","Organization","NumPapers"],"properties":{"Country":{"type":"string","example":"AF"},"NumPapers":{"type":"integer","example":5},"Organization":{"type":"string","example":"Xinyang Normal University"}}},"TopBioEdByCountryItem":{"required":["Mention","Count","NumPapers"],"properties":{"Mention":{"type":"string","example":"Bohr"},"Count":{"type":"integer","example":5}}},"MostBenefitedOrgItem":{"required":["Organization","Percentage"],"properties":{"Organization":{"type":"string","example":"Xinyang Normal University"},"Percentage":{"type":"number","example":34.4}}},"MostEmployedCitiesItem":{"required":["City","Count"],"properties":{"City":{"type":"string","example":"Singapore"},"Count":{"type":"number","example":10}}},"GetBestAuthorsItem":{"required":["Organization","City","Count"],"properties":{"Organization":{"type":"string","example":"Xinyang Normal University"},"City":{"type":"string","example":"Singapore"},"Count":{"type":"number","example":10}},"type":"object"}}}}